Bug 864540 - "500 Error - Internal Server Error" and Web Traceback received when using the Import Files feature
"500 Error - Internal Server Error" and Web Traceback received when using the...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.7
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-10-09 10:35 EDT by giovanni.torres
Modified: 2012-11-01 12:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:17:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giovanni.torres 2012-10-09 10:35:57 EDT
Description of problem:
Importing configuration files from a subscribed system through the Spacewalk WebUI results in a "500 Error - Internal Server Error" History/Summary page.  This action also results in a Web Traceback email.

Version-Release number of selected component (if applicable):
Spacewalk 1.7 (Running on CentOS 6.3 x86_64)


How reproducible:
Always

Steps to Reproduce:
1. From the Systems tab, select a system that, at a minimum, is enabled for upload via rhn-actions-control.
2. On the system's page, select Configuration > Add Files > Import Files
3. Enter a path in "File Paths" section above or select an existing file from the list at the bottom of the page.  Either will demonstrate the issue. 
4. Click 'Import Configuration Files' and 'Confirm' on the next screen.
5. Next, go to the Events tab for the system and after the Upload job is picked up and completed, select that particular Summary from the History tab.

  
Actual results:
A page that reports the following:
500 Error - Internal Server Error
You may have reached this page in one of the following ways:
1. You've found an error in the site.  Please report this error to your local administrator with details of how you received this message.

Also, a Web Traceback email to the configured traceback_mail setting.

Expected results:
A summary of files that were successfully or unsuccessfully imported into the Sandbox.  Also, no traceback mail.

Additional info:
Please note that although the Summary page returns an error, the imported file(s) still successfully import into the system's Local Sandbox.

This is the link that returns the 500 Error (sid and hid will vary, of course):
https://spacewalk/network/systems/details/history/event.pxt?sid=1000010000&hid=15

Here is an example of the traceback mail received after trying to import files:

Error message:
RHN::Exception: DBD::Oracle::db prepare_cached failed: ORA-00905: missing keyword (DBD ERROR: error possibly near <*> indicator at char 165 in '
SELECT CFN.path,
       CFF.name AS FAILURE_REASON
  FROM
       rhnConfigFileName CFN,
       rhnActionConfigFileName ACFN
  LEFT JOIN rhnConfigFileFailure CFF
   <*>AND ACFN.failure_id = CFF.id
WHERE ACFN.server_id = :sid
   AND ACFN.action_id = :aid
   AND ACFN.config_file_name_id = CFN.id
ORDER BY CFN.path
  ') [for Statement "
SELECT CFN.path,
       CFF.name AS FAILURE_REASON
  FROM
       rhnConfigFileName CFN,
       rhnActionConfigFileName ACFN
  LEFT JOIN rhnConfigFileFailure CFF
   AND ACFN.failure_id = CFF.id
WHERE ACFN.server_id = :sid
   AND ACFN.action_id = :aid
   AND ACFN.config_file_name_id = CFN.id
ORDER BY CFN.path
  "]
  RHN::DB /usr/share/perl5/vendor_perl/RHN/DB.pm 121 RHN::Exception::DB::throw
  RHN::DB::DataSource /usr/share/perl5/vendor_perl/RHN/DB/DataSource.pm 73 RHN::DB::handle_error
  RHN::DataSource /usr/share/perl5/vendor_perl/RHN/DataSource.pm 108 RHN::DB::DataSource::run_query
  RHN::DB::Server /usr/share/perl5/vendor_perl/RHN/DB/Server.pm 926 RHN::DataSource::execute_query
  RHN::DB::Server /usr/share/perl5/vendor_perl/RHN/DB/Server.pm 973 RHN::DB::Server::server_event_config_upload
  RHN::Server /usr/share/perl5/vendor_perl/RHN/Server.pm 49 RHN::DB::Server::server_event_details
  Sniglets::Servers /usr/share/perl5/vendor_perl/Sniglets/Servers.pm 382 RHN::Server::lookup_server_event
  PXT::Parser /usr/share/perl5/vendor_perl/PXT/Parser.pm 160 Sniglets::Servers::server_history_event_details
  PXT::Parser /usr/share/perl5/vendor_perl/PXT/Parser.pm 72 PXT::Parser::expand_tag
  PXT::ApacheHandler /usr/share/perl5/vendor_perl/PXT/ApacheHandler.pm 489 PXT::Parser::expand_tags
  PXT::ApacheHandler /usr/share/perl5/vendor_perl/PXT/ApacheHandler.pm 103 PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler /usr/share/perl5/vendor_perl/PXT/ApacheHandler.pm 103 (eval)
  main -e 0 PXT::ApacheHandler::handler
  main -e 0 (eval)
Comment 1 Jan Pazdziora 2012-10-10 13:18:48 EDT
Fixed in Spacewalk master, 6e34bd693fd826f85e48a9ef464ef2d13466728a.
Comment 2 Jan Pazdziora 2012-10-30 15:22:43 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:17:42 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.